Fix dependency version requirements

libosmocore 1.1.0 0e8df1c7e48bcae2285c7c138bd50f932049bd24  osmo_use_count()
Fixes: 7c5346cd70

libosmocore 1.2.0 cdac620579b5bf44970b5f4bb11734fdfdf5bf59 GSM23003_MSISDN_MAX_DIGITS
Fixes: 8b0737fa71

libosmo-sccp 1.1.0 21ff9ae4264de159784a59ce4421365007bde08d osmo_sccp_addr_ri_cmp()
Fixes: c4628a3ad4

osmo-mgw 1.6.0 538d2c53d90074267e7a70a90c773baa03d6ec04 mgcp_client_endpoint_fsm.h
Fixes: c4628a3ad4

libosmo-netif 0.6.0 needed by osmo-mgw 1.6.0

libsmpp34 1.14.0 required due to needed heap allocation function overrides from smpp34_heap.h

Change-Id: I1cd2c7317933b416b74a412f10e4cad16ecd6e59
changes/21/15121/1
Pau Espin 3 years ago
parent 106ba523c8
commit b0504632c5
  1. 18
      configure.ac
  2. 22
      debian/control

@ -35,15 +35,15 @@ m4_ifdef([AX_CHECK_COMPILE_FLAG], [], [
])
PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.0.0)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.0.0)
PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.0.0)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.0.0)
PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.2.0)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.2.0)
PKG_CHECK_MODULES(LIBOSMOCTRL, libosmoctrl >= 1.2.0)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.2.0)
PKG_CHECK_MODULES(LIBOSMOABIS, libosmoabis >= 0.6.0)
PKG_CHECK_MODULES(LIBOSMONETIF, libosmo-netif >= 0.4.0)
PKG_CHECK_MODULES(LIBOSMOSIGTRAN, libosmo-sigtran >= 1.0.0)
PKG_CHECK_MODULES(LIBOSMOSCCP, libosmo-sccp >= 1.0.0)
PKG_CHECK_MODULES(LIBOSMOMGCPCLIENT, libosmo-mgcp-client >= 1.5.0)
PKG_CHECK_MODULES(LIBOSMONETIF, libosmo-netif >= 0.6.0)
PKG_CHECK_MODULES(LIBOSMOSIGTRAN, libosmo-sigtran >= 1.1.0)
PKG_CHECK_MODULES(LIBOSMOSCCP, libosmo-sccp >= 1.1.0)
PKG_CHECK_MODULES(LIBOSMOMGCPCLIENT, libosmo-mgcp-client >= 1.6.0)
PKG_CHECK_MODULES(LIBOSMOGSUPCLIENT, libosmo-gsup-client >= 1.0.0)
old_LIBS=$LIBS
@ -91,7 +91,7 @@ fi
AC_ARG_ENABLE([smpp], [AS_HELP_STRING([--enable-smpp], [Build the SMPP interface])],
[osmo_ac_build_smpp="$enableval"],[osmo_ac_build_smpp="no"])
if test "$osmo_ac_build_smpp" = "yes" ; then
PKG_CHECK_MODULES(LIBSMPP34, libsmpp34 >= 1.13.0)
PKG_CHECK_MODULES(LIBSMPP34, libsmpp34 >= 1.14.0)
AC_DEFINE(BUILD_SMPP, 1, [Define if we want to build SMPP])
fi
AM_CONDITIONAL(BUILD_SMPP, test "x$osmo_ac_build_smpp" = "xyes")

22
debian/control vendored

@ -13,17 +13,17 @@ Build-Depends: debhelper (>=9),
libdbd-sqlite3,
libsctp-dev,
libtalloc-dev,
libsmpp34-dev (>= 1.12),
libasn1c-dev (>= 0.9.28),
libosmocore-dev (>= 0.10.0),
libosmo-sccp-dev,
libosmo-sigtran-dev (>= 0.8.0),
libosmo-abis-dev,
libosmo-mgcp-client-dev (>= 1.1.0),
libosmo-gsup-client-dev (>= 0.2.1),
libosmo-netif-dev (>= 0.1.0),
libosmo-ranap-dev (>= 0.2.0),
osmo-gsm-manuals-dev
libsmpp34-dev (>= 1.14.0),
libasn1c-dev (>= 0.9.30),
libosmocore-dev (>= 1.2.0),
libosmo-sccp-dev (>= 1.1.0),
libosmo-sigtran-dev (>= 1.1.0),
libosmo-abis-dev (>= 0.6.0),
libosmo-mgcp-client-dev (>= 1.6.0),
libosmo-gsup-client-dev (>= 1.0.0),
libosmo-netif-dev (>= 0.6.0),
libosmo-ranap-dev (>= 0.3.0),
osmo-gsm-manuals-dev (>= 0.2.0)
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-msc.git
Vcs-Browser: https://git.osmocom.org/osmo-msc/

Loading…
Cancel
Save